NXDOMAIN(1)

NAME
nxdomain - simple utility program to clean up hosts files

SYNOPSIS

nxdomain [options] file-in [file-out]

DESCRIPTION
nxdomain is a program that removes dead domains from a host list. The program accepts regular hosts files with IP addresses of 127.0.0.1 or 0.0.0.0, or lists of domain names (one domain per line). If no output file is specified, the results are printed on stdout.

OPTIONS

--help, -?, -h
    Print command-line options and exit.

--server=ip-address
    Use this DNS server, default 1.1.1.1 (Cloudflare).

EXAMPLE
$ nxdomain adblocker.txt adblocker.out

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Homepage: https://firejaildns.wordpress.com
Development: https://github.com/netblue30/fdns

SEE ALSO
fdns(1)